using System;

namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] a = new double[n];
            double[] p = new double[n];
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a[i] = double.Parse(s[0]);
                p[i] = double.Parse(s[1]);
            }
            double pt, st,max=0;
            for (int i = 0; i < n; i++)
            {
                pt = p[i];
                st = a[i];
                for (int j = 0; j < n; j++)
                {
                    if (pt<p[j])
                    {
                        st += a[j];
                    }
                }
                if (st*pt>max)
                {
                    max =(double) st * pt;
                    
                }
            }
            max = max / 100;
            Console.WriteLine(max);
        }
    }
}